RedCrawler API
Wiki V1

Wiki Discussions V1

Get discussions (posts) linking to a wiki page.

GET /api/v1/knowledge/page/discussions

Get discussions (posts) linking to a wiki page.

Query parameters

NameTypeRequiredDescription
pagestringYesWiki page name.
subredditstringYesSubreddit name.
limitstringNoNumber of discussions (1-100). Default: 25.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/discussions?page=<page>&subreddit=test&limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/discussions?page=<page>&subreddit=test&limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/discussions?page=<page>&subreddit=test&limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "discussions": [],
    "cursor": null
  },
  "error": null,
  "timestamp": "2026-04-29T19:00:09.907033+00:00"
}

On this page